
Redmine - Defect #3451

Issue Creation Via Email not Working 

2009-06-05 19:19 - Carlo Camerino

Status: Closed Start date: 2009-06-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I have recently encountered an error in issue creation via email. It seems that the current development version is having issue with

issue creation via email. However, you can still reply via email you just can't create an issue.

I tried it several times on the trunk, then decided to switch to 0.8.4 stable version and suddenly it worked. So I guess it must have

been an issue with the current development version.

History

#1 - 2009-06-06 01:05 - Enderson Maia

Carlo Camerino wrote:

Hi,

I have recently encountered an error in issue creation via email. It seems that the current development version is having issue with issue creation

via email. However, you can still reply via email you just can't create an issue.

I tried it several times on the trunk, then decided to switch to 0.8.4 stable version and suddenly it worked. So I guess it must have been an issue

with the current development version.

 Please, give more details, such as the config files, svn revision you are testing, what else you think should help.

#2 - 2009-06-06 04:00 - Carlo Camerino

Enderson Maia wrote:

Carlo Camerino wrote:

Hi,

I have recently encountered an error in issue creation via email. It seems that the current development version is having issue with issue

creation via email. However, you can still reply via email you just can't create an issue.

I tried it several times on the trunk, then decided to switch to 0.8.4 stable version and suddenly it worked. So I guess it must have been an

issue with the current development version.

 Please, give more details, such as the config files, svn revision you are testing, what else you think should help.

 Here is the current subversion version i'm using.

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 2778

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 2778

Last Changed Date: 2009-06-03 01:24:50 +0800 (Wed, 03 Jun 2009)
 Here's a sample email I created. It worked on 0.8.4 and did not work on latest trunk

Does This Work

Project: trial1

Tracker: feature

Priority: major

Status: new

 Btw, How Do I get the logs of rake redmine:email:receive_imap

#3 - 2009-06-06 04:40 - Carlo Camerino

i can't seem to find the logs anywhere. it's not production logs on error. i tried changing production.rb and i commented all in them.

where do i find the logs for this one? thanks

rake redmine:email:receive_imap RAILS_ENV="production" host=192.168.1.10 port=993 username=redmine password=**

***** ssl=1

 here is the command i used, it's working for replying via email but can't start its issue.

#4 - 2009-06-06 05:33 - Carlo Camerino

Carlo Camerino wrote:

i can't seem to find the logs anywhere. it's not production logs on error. i tried changing production.rb and i commented all in them.

where do i find the logs for this one? thanks

[...]

here is the command i used, it's working for replying via email but can't start its issue.

 i think its related to r2777

i tried revisions previous to it and it works.

r2776 below seems to work with the issue creation thing.

#5 - 2009-06-06 12:24 - Jean-Philippe Lang

Please retry and check log/production.log.

If something goes wrong when trying to create the issue, you should have a message in your log.

If you don't see anything, set your log level to debug in environment.rb (see line 31) and retry.

#6 - 2009-06-06 13:13 - Carlo Camerino

- File production.log added

Jean-Philippe Lang wrote:

Please retry and check log/production.log.

If something goes wrong when trying to create the issue, you should have a message in your log.

If you don't see anything, set your log level to debug in environment.rb (see line 31) and retry.

 it still doesn't appear in my log file.

i'm looking at log production.log but it still doesn't appear there.

are rake imap tasks suppose to log there too? i scheduled it to run every minute using a cron tab.

i already raised environment.rb to debug. still nothing appears in production.log

as a work around i switched to version r2776. it works fine there.

r2777 breaks it.

#7 - 2009-06-07 21:09 - Eric Davis

Carlo Camerino wrote:

are rake imap tasks suppose to log there too? i scheduled it to run every minute using a cron tab.

i already raised environment.rb to debug. still nothing appears in production.log

 Yes, you should see lines added to your logs when any of the email tasks are run.  If you are running them as debug, you should see lines prefixed

with "MailHandler" (e.g. "MailHandler: issue #0 created by Username")
#8 - 2009-06-08 05:54 - Carlo Camerino

Eric Davis wrote:

Carlo Camerino wrote:

are rake imap tasks suppose to log there too? i scheduled it to run every minute using a cron tab.

i already raised environment.rb to debug. still nothing appears in production.log

 Yes, you should see lines added to your logs when any of the email tasks are run.  If you are running them as debug, you should see lines

prefixed with "MailHandler" (e.g. "MailHandler: issue #0 created by Username")

 ok i finally got it to run, in my logs

what i did was instead of running it in the crontab, i run it directly on the command line. finally i got the logs i was looking for.

it seems that on the latest revisions, priority is already a required field. so i had to allow_override to priority.

Project:carlo

  [4;36;1mUser Load (0.1ms)[0m   [0;1mSELECT * FROM `users` WHERE (LOWER(mail) = 'carlo.camerino@gmail.com') A

ND (users.status = 1) LIMIT 1[0m

  [4;35;1mUser Columns (0.7ms)[0m   [0mSHOW FIELDS FROM `users`[0m

  [4;36;1mProject Columns (0.5ms)[0m   [0;1mSHOW FIELDS FROM `projects`[0m

  [4;35;1mProject Load (0.0ms)[0m   [0mSELECT * FROM `projects` WHERE (`projects`.`identifier` = 'carlo') LIMI

T 1[0m

  [4;36;1mJoin Table Columns (0.2ms)[0m   [0;1mSHOW FIELDS FROM `projects_trackers`[0m

  [4;35;1mTracker Load (0.0ms)[0m   [0mSELECT * FROM `trackers` INNER JOIN `projects_trackers` ON `trackers`.i

d = `projects_trackers`.tracker_id WHERE (`projects_trackers`.project_id = 1 ) ORDER BY trackers.position LIMI

T 1[0m

  [4;36;1mEnabledModule Load (0.1ms)[0m   [0;1mSELECT * FROM `enabled_modules` WHERE (`enabled_modules`.projec

t_id = 1) [0m

  [4;35;1mEnabledModule Columns (0.3ms)[0m   [0mSHOW FIELDS FROM `enabled_modules`[0m

  [4;36;1mIssue Columns (0.6ms)[0m   [0;1mSHOW FIELDS FROM `issues`[0m

  [4;35;1mTracker Columns (0.3ms)[0m   [0mSHOW FIELDS FROM `trackers`[0m

  [4;36;1mIssueStatus Columns (0.3ms)[0m   [0;1mSHOW FIELDS FROM `issue_statuses`[0m

  [4;35;1mIssueStatus Load (0.0ms)[0m   [0mSELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = 0) [0

m

  [4;36;1mIssueStatus Load (0.0ms)[0m   [0;1mSELECT * FROM `issue_statuses` WHERE (is_default=1) LIMIT 1[0m

  [4;35;1mIssuePriority Columns (0.5ms)[0m   [0mSHOW FIELDS FROM `enumerations`[0m

  [4;36;1mIssuePriority Load (0.0ms)[0m   [0;1mSELECT * FROM `enumerations` WHERE (`enumerations`.`is_default`

 = 1) AND ( (`enumerations`.`type` = 'IssuePriority' ) ) LIMIT 1[0m

  [4;35;1mIssueCustomField Columns (0.6ms)[0m   [0mSHOW FIELDS FROM `custom_fields`[0m

  [4;36;1mIssueCustomField Load (0.0ms)[0m   [0;1mSELECT * FROM `custom_fields` WHERE (is_for_all=1) AND ( (`c

ustom_fields`.`type` = 'IssueCustomField' ) ) ORDER BY position[0m

  [4;35;1mJoin Table Columns (0.2ms)[0m   [0mSHOW FIELDS FROM `custom_fields_projects`[0m

  [4;36;1mIssueCustomField Load (0.0ms)[0m   [0;1mSELECT * FROM `custom_fields` INNER JOIN `custom_fields_proj

ects` ON `custom_fields`.id = `custom_fields_projects`.custom_field_id WHERE (`custom_fields_projects`.project

_id = 1 ) AND ( (`custom_fields`.`type` = 'IssueCustomField' ) ) ORDER BY custom_fields.position[0m

  [4;35;1mUser Load (0.0ms)[0m   [0mSELECT * FROM `users` WHERE (LOWER(mail) IN ('redmine@sxchange.com.ph')) A

ND (users.status = 1) [0m

  [4;36;1mSQL (0.0ms)[0m   [0;1mBEGIN[0m

  [4;35;1mTracker Exists (0.1ms)[0m   [0mSELECT `trackers`.id FROM `trackers` INNER JOIN `projects_trackers` O

N `trackers`.id = `projects_trackers`.tracker_id WHERE (`trackers`.`id` = 1) AND (`projects_trackers`.project_

id = 1 ) ORDER BY trackers.position LIMIT 1[0m

  [4;36;1mSQL (0.1ms)[0m   [0;1mROLLBACK[0m

Validation failed: Priority can't be blank

Message 22 can not be processed

#9 - 2009-06-08 05:56 - Carlo Camerino

i was just wondering,

was priority made a required field recently?

i was not receiving this error before.

#10 - 2009-06-10 12:34 - Carlo Camerino

- Status changed from New to Resolved

#11 - 2009-06-14 16:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

2025-06-21 3/4



Priority has always been a required field.

You can not create an issue (via email or the web UI) if no default priority is defined.

Thanks for the feedback.

#12 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

Files

production.log 3.71 KB 2009-06-06 Carlo Camerino
